#delimit;

************************************************************
Logits without FE

**************************************************************



**********************************;

* extramarital, all;


insheet using "L:\belief_risk_paper\data archive\dPST_extra.csv", clear;

foreach x in age2008-out_of_ten2008{;
	qui recode `x' (-99 = .);
};

gen man_id = [_n];
gen age2006 = age2008-2;
gen age_sq2006 = age2006*age2006;
gen age_sq2008 = age2008*age2008;
replace hiv_likeli2006=. if hiv_likeli2006<0;
gen hiv_no_likeli2006=1 if hiv_likeli2006==0;
replace hiv_no_likeli2006=0 if hiv_likeli2006!=0 & hiv_likeli2006!=.;
gen hiv_low2006=1 if hiv_likeli2006==1;
replace hiv_low2006=0 if hiv_likeli2006!=1 & hiv_likeli2006!=.;
gen hiv_med2006=1 if hiv_likeli2006==2;
replace hiv_med2006=0 if hiv_likeli2006!=2 & hiv_likeli2006!=.;
gen hiv_high2006=1 if hiv_likeli2006==3;
replace hiv_high2006=0 if hiv_likeli2006!=3 & hiv_likeli2006!=.;
gen med_high2006=hiv_med2006+hiv_high2006;
replace hiv_likeli2008=. if hiv_likeli2008<0;
gen hiv_no_likeli2008=1 if hiv_likeli2008==0;
replace hiv_no_likeli2008=0 if hiv_likeli2008!=0 & hiv_likeli2008!=.;
gen hiv_low2008=1 if hiv_likeli2008==1;
replace hiv_low2008=0 if hiv_likeli2008!=1 & hiv_likeli2008!=.;
gen hiv_med2008=1 if hiv_likeli2008==2;
replace hiv_med2008=0 if hiv_likeli2008!=2 & hiv_likeli2008!=.;
gen hiv_high2008=1 if hiv_likeli2008==3;
replace hiv_high2008=0 if hiv_likeli2008!=3 & hiv_likeli2008!=.;
gen med_high2008=hiv_med2008+hiv_high2008;
gen bean_sq2006 = bean_status2006*bean_status2006;
gen bean_sq2008 = bean_status2008*bean_status2008;

* 2 lines;
expand 2;
sort man_id;

* oranizing the data;
drop extra2004;

* specific year;
gen year = 2006 if man_id != man_id[_n-1];
replace year = 2008 if year == .;


foreach x in extra bean_status age age_sq poly numchild no_numchild metal_roof hiv_low hiv_med med_high hiv_high bean_sq{;
	qui gen `x' = `x'2006 if year == 2006;
	qui replace `x' = `x'2008 if year == 2008;
};

*CREATING DUMMY FOR 2006;
gen y2006= year==2006;


* dummies for bean category;
gen bean0 = (bean_status==0);
gen bean1 = (bean_status==1);
gen bean2_10 = (bean_status>1 & bean_status<=10);
gen bean2_4 = (bean_status>1 & bean_status<=4);
gen bean5_10 = (bean_status>4 & bean_status<=10);


************
Logits;


*1;
logit extra bean_status y2006, robust;



*2;
logit extra bean1 bean2_10 y2006, robust;


*3;
logit extra bean1 bean2_4 bean5_10 y2006, robust;


*4.;
logit extra bean_status age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;

*5;
logit extra bean1 bean2_10 age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;


*6;
logit extra bean1 bean2_4 bean5_10 age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;






**********************************************************************************************************************
on having more than one partner;

**********************************;

* number of partners, all;


insheet using "L:\belief_risk_paper\data archive\dPST_number.csv", clear;

foreach x in age2008-out_of_ten2008{;
	qui recode `x' (-99 = .);
};


gen man_id = [_n];
gen age2006 = age2008-2;
gen age_sq2006 = age2006*age2006;
gen age_sq2008 = age2008*age2008;
replace hiv_likeli2006=. if hiv_likeli2006<0;
gen hiv_no_likeli2006=1 if hiv_likeli2006==0;
replace hiv_no_likeli2006=0 if hiv_likeli2006!=0 & hiv_likeli2006!=.;
gen hiv_low2006=1 if hiv_likeli2006==1;
replace hiv_low2006=0 if hiv_likeli2006!=1 & hiv_likeli2006!=.;
gen hiv_med2006=1 if hiv_likeli2006==2;
replace hiv_med2006=0 if hiv_likeli2006!=2 & hiv_likeli2006!=.;
gen hiv_high2006=1 if hiv_likeli2006==3;
replace hiv_high2006=0 if hiv_likeli2006!=3 & hiv_likeli2006!=.;
gen med_high2006=hiv_med2006+hiv_high2006;
replace hiv_likeli2008=. if hiv_likeli2008<0;
gen hiv_no_likeli2008=1 if hiv_likeli2008==0;
replace hiv_no_likeli2008=0 if hiv_likeli2008!=0 & hiv_likeli2008!=.;
gen hiv_low2008=1 if hiv_likeli2008==1;
replace hiv_low2008=0 if hiv_likeli2008!=1 & hiv_likeli2008!=.;
gen hiv_med2008=1 if hiv_likeli2008==2;
replace hiv_med2008=0 if hiv_likeli2008!=2 & hiv_likeli2008!=.;
gen hiv_high2008=1 if hiv_likeli2008==3;
replace hiv_high2008=0 if hiv_likeli2008!=3 & hiv_likeli2008!=.;
gen med_high2008=hiv_med2008+hiv_high2008;
gen bean_sq2006 = bean_status2006*bean_status2006;
gen bean_sq2008 = bean_status2008*bean_status2008;

* 2 lines;
expand 2;
sort man_id;

* oranizing the data;
drop more12004;

* specific year;
gen year = 2006 if man_id != man_id[_n-1];
replace year = 2008 if year == .;


foreach x in more1 bean_status age age_sq poly numchild no_numchild metal_roof hiv_low hiv_med med_high hiv_high bean_sq{;
	qui gen `x' = `x'2006 if year == 2006;
	qui replace `x' = `x'2008 if year == 2008;
};

*CREATING DUMMY FOR 2006;
gen y2006= year==2006;


* dummies for bean category;
gen bean0 = (bean_status==0);
gen bean1 = (bean_status==1);
gen bean2_10 = (bean_status>1 & bean_status<=10);
gen bean2_4 = (bean_status>1 & bean_status<=4);
gen bean5_10 = (bean_status>4 & bean_status<=10);


************
Logits;



*1;
logit more1 bean_status y2006, robust;



*2;
logit more1 bean1 bean2_10 y2006, robust;


*3;
logit more1 bean1 bean2_4 bean5_10 y2006, robust;


*4.;
logit more1 bean_status age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;

*5;
logit more1 bean1 bean2_10 age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;


*6;
logit more1 bean1 bean2_4 bean5_10 age age_sq moslem no_school primary 
	balaka rumphi poly numchild no_numchild metal_roof y2006, robust;





